pnetcdf_version(1)

NAME
pnetcdf_version - print the version information of PnetCDF library

SYNOPSIS

pnetcdf_version [-v] [-d] [-c] [-b] [-l] [-h]

DESCRIPTION
pnetcdf_version prints the version information of PnetCDF library and the configure command line used to build the library. If no argument is given, all information is printed.

OPTIONS

-v  Version number of this PnetCDF release.

-d  Release date.

-c  Configure command-line arguments used to build this PnetCDF

-b  MPI compilers used to build this PnetCDF library

-l  LMOD PrgEnv module loaded, if available

-h  Print the available command-line options of pnetcdf_version

EXAMPLES

Print all information about the PnetCDF library by running the command with no options. % pnetcdf_version

PnetCDF Version:    	1.15.0
PnetCDF Release date:	July 1, 2026
PnetCDF configure: 	    --with-mpi=/usr/local/bin
MPICC:  /opt/cray/pe/craype/2.7.35/bin/cc
        CFLAGS: -O2
        MPI standard version: 4.0
        MPI compiler vendor: Cray MPICH 9.0.1.498
        Base compiler: /usr/bin/gcc-14
        Base compiler version: gcc-14 (SUSE Linux) 14.3.0
MPICXX: /opt/cray/pe/craype/2.7.35/bin/CC
        CXXFLAGS: -O2
        Base compiler: /usr/bin/g++-14
        Base compiler version: g++-14 (SUSE Linux) 14.3.0
MPIF77: /opt/cray/pe/craype/2.7.35/bin/ftn
        FFLAGS: -O2
        Base compiler: /opt/cray/pe/gcc-native/14/bin/gfortran
        Base compiler version: GNU Fortran (SUSE Linux) 14.3.0
MPIF90: /opt/cray/pe/craype/2.7.35/bin/ftn
        FCFLAGS: -O2
        Base compiler: /opt/cray/pe/gcc-native/14/bin/gfortran
        Base compiler version: GNU Fortran (SUSE Linux) 14.3.0
LMOD module loaded:
        LMOD_VERSION                    8.7.60
        LMOD_FAMILY_PRGENV              PrgEnv-gnu
        LMOD_FAMILY_PRGENV_VERSION      8.6.0
        LMOD_FAMILY_COMPILER            gcc-native
        LMOD_FAMILY_COMPILER_VERSION    14
        LMOD_FAMILY_MPI                 cray-mpich
        LMOD_FAMILY_MPI_VERSION         9.0.1

SEE ALSO

pnetcdf(3)

DATE
July 1, 2026